> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Send Outbound SMS

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/contact-center/api-list)</Badge>

# Send Outbound SMS API

This API enables sending outbound SMS messages through the platform's generic SMS channel. The capability can be integrated into applications or services to facilitate SMS communication with customers.

## Prerequisites

* The SMS channel must be configured to send outbound SMS using this API. [Learn more](/ai-for-service/channels#digital-channels).
* The phone number must be attached to an experience flow. [Learn more](/ai-for-service/flows/create-and-manage-flows#sms-channel).

| Method            | POST                                                                                                                            |
| :---------------- | :------------------------------------------------------------------------------------------------------------------------------ |
| **Endpoint**      | `https://{{host}}/api/public/bot/{{BotId}}/outboundsms`                                                                         |
| **Content-Type**  | `application/json`                                                                                                              |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction#generating-the-jwt-token). |
| **API Scope**     | Outbound SMS                                                                                                                    |

## Path Parameters

| Parameter | Description                                                                | Type             |
| :-------- | :------------------------------------------------------------------------- | :--------------- |
| `host`    | Environment URL, for example, `https://platform.kore.ai`                   | string, required |
| `BotId`   | `BotId` or `StreamId`. You can access it from the bot's App Settings page. | string, required |

## Sample Request

```bash theme={null}
curl --location 'https://{{host}}/api/public/bot/st-26d52ba6-7a77-56b2-be4e-a8db1da7e440/outboundsms' \
--header 'Content-Type: application/json;charset=UTF-8' \
--header 'auth: <token>' \
--data '{
    "fromNo": "+19876543210",
    "toNo": "+911234567890"
}'
```

## Body Parameters

| Parameter | Description                                                                                                    | Type             |
| :-------- | :------------------------------------------------------------------------------------------------------------- | :--------------- |
| `fromNo`  | The sender's phone number in E.164 format. For example, +19876543210. Attach the number to an Experience Flow. | string, required |
| `toNo`    | The recipient's phone number in E.164 format. For example, +911234567890                                       | string, required |

## Sample Response

```json theme={null}
{
    "message": "Triggered the configured Experience flow to deliver message via SMS channel"
}
```
